<?php

class backordered_items { 
	
	private $layout_object;
	
	function __construct() {
		$this->layout_object = Registry::get('layout_object');
	}
	
	function run() {
		$backordered_items = OrderHelper::get_items_on_backorder();
		$this->layout_object->assign('backordered_items', $backordered_items);
		
		return $this->layout_object->fetch('widgets/backordered_items.tpl');
	}
}